summaryrefslogtreecommitdiff
path: root/utilities/dvb
diff options
context:
space:
mode:
authorroot <root@elwms02.(none)>2010-04-06 16:13:08 +0200
committerroot <root@elwms02.(none)>2010-04-06 16:13:08 +0200
commit0e7005fcc7483c01aa102fbea358c5ac65a48d62 (patch)
tree11517ce0d3d2977c6732b3aa583b0008083e0bd3 /utilities/dvb
downloadx-vdr-0e7005fcc7483c01aa102fbea358c5ac65a48d62.tar.gz
x-vdr-0e7005fcc7483c01aa102fbea358c5ac65a48d62.tar.bz2
hello world
Diffstat (limited to 'utilities/dvb')
-rw-r--r--utilities/dvb/liplianindvb/dvb-driver.sh102
-rw-r--r--utilities/dvb/mantis/dvb-driver.sh102
-rw-r--r--utilities/dvb/multiproto/dvb-driver.sh102
-rw-r--r--utilities/dvb/multiproto_plus/dvb-driver.sh102
-rw-r--r--utilities/dvb/s2-liplianin/dvb-driver.sh102
-rw-r--r--utilities/dvb/v4l-dvb/dvb-driver.sh102
-rw-r--r--utilities/dvb/v4l-dvb/v4l-dvb-header-fix.diff155
-rw-r--r--utilities/dvb/v4l-dvb/v4l-dvb_include-fix.diff10
8 files changed, 777 insertions, 0 deletions
diff --git a/utilities/dvb/liplianindvb/dvb-driver.sh b/utilities/dvb/liplianindvb/dvb-driver.sh
new file mode 100644
index 0000000..2ecb725
--- /dev/null
+++ b/utilities/dvb/liplianindvb/dvb-driver.sh
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# x-vdr (Installations-Skript fuer einen VDR mit Debian als Basis)
+# von Marc Wernecke - www.zulu-entertainment.de
+# 09.02.2009
+
+# liplianindvb
+
+source ./../../../x-vdr.conf
+source ./../../../setup.conf
+source ./../../../functions
+
+
+VERSION="liplianindvb"
+WEB="http://mercurial.intuxication.org/hg/$VERSION"
+LINK="DVB"
+
+DIR=`pwd`
+
+# install
+function make_util() {
+
+ apt-get update
+ apt_install "mercurial"
+ apt_install "linux-headers-`uname -r`"
+ [ -L /usr/src/linux ] && rm -f /usr/src/linux
+ if [ ! -d /usr/src/linux ]; then
+ cd /usr/src
+ ln -vfs /usr/src/linux-headers-`uname -r` linux
+ fi
+
+ # download und symlink
+ cd $SOURCEDIR
+ hg clone $WEB
+
+ rm -f $LINK
+ ln -vfs $VERSION $LINK
+
+ cd $SOURCEDIR/$LINK/linux/include/linux
+ if [ -f /usr/src/linux/include/linux/compiler.h ]; then
+ ln -s /usr/src/linux/include/linux/compiler.h compiler.h
+ elif [ -f /usr/src/$(uname -r)/include/linux/compiler.h ]; then
+ ln -s /usr/src/$(uname -r)/include/linux/compiler.h compiler.h
+ elif [ -f /usr/src/linux-headers-$(uname -r)/include/linux/compiler.h ]; then
+ ln -s /usr/src/linux-headers-$(uname -r)/include/linux/compiler.h compiler.h
+ else
+ log "ERROR - /usr/src/linux/include/linux/compiler.h nicht gefunden"
+ fi
+
+ # install
+ cd $SOURCEDIR/$LINK
+
+ # search for *.diff
+ for i in `ls $DIR/patches | grep ".diff$"`; do
+ log "apply $i"
+ patch -p 1 < $DIR/patches/$i
+ done
+
+ make menuconfig
+ make
+ if [ $? = 0 ] ; then
+ log "SUCCESS - $VERSION erstellt"
+ else
+ log "ERROR - $VERSION konnte nicht erstellt werden"
+ return 1
+ fi
+
+ dialog --title " x-vdr - $VERSION " --yesno "Die DVB-Treiber wurden in $SOURCEDIR/$VERSION erstellt. \nSollen sie jetzt installiert werden?" 19 70
+ [ $? = 0 ] || return 0
+ make install && cp -rf $SOURCEDIR/$VERSION/linux/include/linux/dvb /usr/include/linux && log "SUCCESS - $VERSION installiert"
+}
+
+# uninstall
+function clean_util() {
+ # remove source
+ cd $SOURCEDIR
+ rm -rf $LINK
+ rm -rf $VERSION
+}
+
+# test
+function status_util() {
+ if [ -d "$SOURCEDIR/$VERSION" ]; then
+ [ -d "$SOURCEDIR/$VERSION" ] && echo "2" && return 0
+ echo "1"
+ else
+ echo "0"
+ fi
+}
+
+# start
+
+# plugin commands
+if [ $# \> 0 ]; then
+ cmd=$1
+ cmd_util
+else
+ make_util
+ status_util
+fi
+
+exit 0
diff --git a/utilities/dvb/mantis/dvb-driver.sh b/utilities/dvb/mantis/dvb-driver.sh
new file mode 100644
index 0000000..86755dd
--- /dev/null
+++ b/utilities/dvb/mantis/dvb-driver.sh
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# x-vdr (Installations-Skript fuer einen VDR mit Debian als Basis)
+# von Marc Wernecke - www.zulu-entertainment.de
+# 19.06.2008
+
+# mantis
+
+source ./../../../x-vdr.conf
+source ./../../../setup.conf
+source ./../../../functions
+
+
+VERSION="mantis"
+WEB="http://jusst.de/hg/$VERSION"
+LINK="DVB"
+
+DIR=`pwd`
+
+# install
+function make_util() {
+
+ apt-get update
+ apt_install "mercurial"
+ apt_install "linux-headers-`uname -r`"
+ [ -L /usr/src/linux ] && rm -f /usr/src/linux
+ if [ ! -d /usr/src/linux ]; then
+ cd /usr/src
+ ln -vfs /usr/src/linux-headers-`uname -r` linux
+ fi
+
+ # download und symlink
+ cd $SOURCEDIR
+ hg clone $WEB
+
+ rm -f $LINK
+ ln -vfs $VERSION $LINK
+
+ cd $SOURCEDIR/$LINK/linux/include/linux
+ if [ -f /usr/src/linux/include/linux/compiler.h ]; then
+ ln -s /usr/src/linux/include/linux/compiler.h compiler.h
+ elif [ -f /usr/src/$(uname -r)/include/linux/compiler.h ]; then
+ ln -s /usr/src/$(uname -r)/include/linux/compiler.h compiler.h
+ elif [ -f /usr/src/linux-headers-$(uname -r)/include/linux/compiler.h ]; then
+ ln -s /usr/src/linux-headers-$(uname -r)/include/linux/compiler.h compiler.h
+ else
+ log "ERROR - /usr/src/linux/include/linux/compiler.h nicht gefunden"
+ fi
+
+ # install
+ cd $SOURCEDIR/$LINK
+
+ # search for *.diff
+ for i in `ls $DIR/patches | grep ".diff$"`; do
+ log "apply $i"
+ patch -p 1 < $DIR/patches/$i
+ done
+
+ make menuconfig
+ make
+ if [ $? = 0 ] ; then
+ log "SUCCESS - $VERSION erstellt"
+ else
+ log "ERROR - $VERSION konnte nicht erstellt werden"
+ return 1
+ fi
+
+ dialog --title " x-vdr - $VERSION " --yesno "Die DVB-Treiber wurden in $SOURCEDIR/$VERSION erstellt. \nSollen sie jetzt installiert werden?" 19 70
+ [ $? = 0 ] || return 0
+ make install && cp -rf $SOURCEDIR/$VERSION/linux/include/linux/dvb /usr/include/linux && log "SUCCESS - $VERSION installiert"
+}
+
+# uninstall
+function clean_util() {
+ # remove source
+ cd $SOURCEDIR
+ rm -rf $LINK
+ rm -rf $VERSION
+}
+
+# test
+function status_util() {
+ if [ -d "$SOURCEDIR/$VERSION" ]; then
+ [ -d "$SOURCEDIR/$VERSION" ] && echo "2" && return 0
+ echo "1"
+ else
+ echo "0"
+ fi
+}
+
+# start
+
+# plugin commands
+if [ $# \> 0 ]; then
+ cmd=$1
+ cmd_util
+else
+ make_util
+ status_util
+fi
+
+exit 0
diff --git a/utilities/dvb/multiproto/dvb-driver.sh b/utilities/dvb/multiproto/dvb-driver.sh
new file mode 100644
index 0000000..2334ed6
--- /dev/null
+++ b/utilities/dvb/multiproto/dvb-driver.sh
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# x-vdr (Installations-Skript fuer einen VDR mit Debian als Basis)
+# von Marc Wernecke - www.zulu-entertainment.de
+# 03.05.2008
+
+# multiproto
+
+source ./../../../x-vdr.conf
+source ./../../../setup.conf
+source ./../../../functions
+
+
+VERSION="multiproto"
+WEB="http://jusst.de/hg/$VERSION"
+LINK="DVB"
+
+DIR=`pwd`
+
+# install
+function make_util() {
+
+ apt-get update
+ apt_install "mercurial"
+ apt_install "linux-headers-`uname -r`"
+ [ -L /usr/src/linux ] && rm -f /usr/src/linux
+ if [ ! -d /usr/src/linux ]; then
+ cd /usr/src
+ ln -vfs /usr/src/linux-headers-`uname -r` linux
+ fi
+
+ # download und symlink
+ cd $SOURCEDIR
+ hg clone $WEB
+
+ rm -f $LINK
+ ln -vfs $VERSION $LINK
+
+ cd $SOURCEDIR/$LINK/linux/include/linux
+ if [ -f /usr/src/linux/include/linux/compiler.h ]; then
+ ln -s /usr/src/linux/include/linux/compiler.h compiler.h
+ elif [ -f /usr/src/$(uname -r)/include/linux/compiler.h ]; then
+ ln -s /usr/src/$(uname -r)/include/linux/compiler.h compiler.h
+ elif [ -f /usr/src/linux-headers-$(uname -r)/include/linux/compiler.h ]; then
+ ln -s /usr/src/linux-headers-$(uname -r)/include/linux/compiler.h compiler.h
+ else
+ log "ERROR - /usr/src/linux/include/linux/compiler.h nicht gefunden"
+ fi
+
+ # install
+ cd $SOURCEDIR/$LINK
+
+ # search for *.diff
+ for i in `ls $DIR/patches | grep ".diff$"`; do
+ log "apply $i"
+ patch -p 1 < $DIR/patches/$i
+ done
+
+ make menuconfig
+ make
+ if [ $? = 0 ] ; then
+ log "SUCCESS - $VERSION erstellt"
+ else
+ log "ERROR - $VERSION konnte nicht erstellt werden"
+ return 1
+ fi
+
+ dialog --title " x-vdr - $VERSION " --yesno "Die DVB-Treiber wurden in $SOURCEDIR/$VERSION erstellt. \nSollen sie jetzt installiert werden?" 19 70
+ [ $? = 0 ] || return 0
+ make install && cp -rf $SOURCEDIR/$VERSION/linux/include/linux/dvb /usr/include/linux && log "SUCCESS - $VERSION installiert"
+}
+
+# uninstall
+function clean_util() {
+ # remove source
+ cd $SOURCEDIR
+ rm -rf $LINK
+ rm -rf $VERSION
+}
+
+# test
+function status_util() {
+ if [ -d "$SOURCEDIR/$VERSION" ]; then
+ [ -d "$SOURCEDIR/$VERSION" ] && echo "2" && return 0
+ echo "1"
+ else
+ echo "0"
+ fi
+}
+
+# start
+
+# plugin commands
+if [ $# \> 0 ]; then
+ cmd=$1
+ cmd_util
+else
+ make_util
+ status_util
+fi
+
+exit 0
diff --git a/utilities/dvb/multiproto_plus/dvb-driver.sh b/utilities/dvb/multiproto_plus/dvb-driver.sh
new file mode 100644
index 0000000..baed692
--- /dev/null
+++ b/utilities/dvb/multiproto_plus/dvb-driver.sh
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# x-vdr (Installations-Skript fuer einen VDR mit Debian als Basis)
+# von Marc Wernecke - www.zulu-entertainment.de
+# 03.05.2008
+
+# multiproto_plus
+
+source ./../../../x-vdr.conf
+source ./../../../setup.conf
+source ./../../../functions
+
+
+VERSION="multiproto_plus"
+WEB="http://jusst.de/hg/$VERSION"
+LINK="DVB"
+
+DIR=`pwd`
+
+# install
+function make_util() {
+
+ apt-get update
+ apt_install "mercurial"
+ apt_install "linux-headers-`uname -r`"
+ [ -L /usr/src/linux ] && rm -f /usr/src/linux
+ if [ ! -d /usr/src/linux ]; then
+ cd /usr/src
+ ln -vfs /usr/src/linux-headers-`uname -r` linux
+ fi
+
+ # download und symlink
+ cd $SOURCEDIR
+ hg clone $WEB
+
+ rm -f $LINK
+ ln -vfs $VERSION $LINK
+
+ cd $SOURCEDIR/$LINK/linux/include/linux
+ if [ -f /usr/src/linux/include/linux/compiler.h ]; then
+ ln -s /usr/src/linux/include/linux/compiler.h compiler.h
+ elif [ -f /usr/src/$(uname -r)/include/linux/compiler.h ]; then
+ ln -s /usr/src/$(uname -r)/include/linux/compiler.h compiler.h
+ elif [ -f /usr/src/linux-headers-$(uname -r)/include/linux/compiler.h ]; then
+ ln -s /usr/src/linux-headers-$(uname -r)/include/linux/compiler.h compiler.h
+ else
+ log "ERROR - /usr/src/linux/include/linux/compiler.h nicht gefunden"
+ fi
+
+ # install
+ cd $SOURCEDIR/$LINK
+
+ # search for *.diff
+ for i in `ls $DIR/patches | grep ".diff$"`; do
+ log "apply $i"
+ patch -p 1 < $DIR/patches/$i
+ done
+
+ make menuconfig
+ make
+ if [ $? = 0 ] ; then
+ log "SUCCESS - $VERSION erstellt"
+ else
+ log "ERROR - $VERSION konnte nicht erstellt werden"
+ return 1
+ fi
+
+ dialog --title " x-vdr - $VERSION " --yesno "Die DVB-Treiber wurden in $SOURCEDIR/$VERSION erstellt. \nSollen sie jetzt installiert werden?" 19 70
+ [ $? = 0 ] || return 0
+ make install && cp -rf $SOURCEDIR/$VERSION/linux/include/linux/dvb /usr/include/linux && log "SUCCESS - $VERSION installiert"
+}
+
+# uninstall
+function clean_util() {
+ # remove source
+ cd $SOURCEDIR
+ rm -rf $LINK
+ rm -rf $VERSION
+}
+
+# test
+function status_util() {
+ if [ -d "$SOURCEDIR/$VERSION" ]; then
+ [ -d "$SOURCEDIR/$VERSION" ] && echo "2" && return 0
+ echo "1"
+ else
+ echo "0"
+ fi
+}
+
+# start
+
+# plugin commands
+if [ $# \> 0 ]; then
+ cmd=$1
+ cmd_util
+else
+ make_util
+ status_util
+fi
+
+exit 0
diff --git a/utilities/dvb/s2-liplianin/dvb-driver.sh b/utilities/dvb/s2-liplianin/dvb-driver.sh
new file mode 100644
index 0000000..3f64d54
--- /dev/null
+++ b/utilities/dvb/s2-liplianin/dvb-driver.sh
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# x-vdr (Installations-Skript fuer einen VDR mit Debian als Basis)
+# von Marc Wernecke - www.zulu-entertainment.de
+# 09.02.2009
+
+# v4l-dvb
+
+source ./../../../x-vdr.conf
+source ./../../../setup.conf
+source ./../../../functions
+
+
+VERSION="s2-liplianin"
+WEB="http://mercurial.intuxication.org/hg/$VERSION"
+LINK="DVB"
+
+DIR=`pwd`
+
+# install
+function make_util() {
+
+ apt-get update
+ apt_install "mercurial"
+ apt_install "linux-headers-`uname -r`"
+ [ -L /usr/src/linux ] && rm -f /usr/src/linux
+ if [ ! -d /usr/src/linux ]; then
+ cd /usr/src
+ ln -vfs /usr/src/linux-headers-`uname -r` linux
+ fi
+
+ # download und symlink
+ cd $SOURCEDIR
+ hg clone $WEB
+
+ rm -f $LINK
+ ln -vfs $VERSION $LINK
+
+ cd $SOURCEDIR/$LINK/linux/include/linux
+ if [ -f /usr/src/linux/include/linux/compiler.h ]; then
+ ln -s /usr/src/linux/include/linux/compiler.h compiler.h
+ elif [ -f /usr/src/$(uname -r)/include/linux/compiler.h ]; then
+ ln -s /usr/src/$(uname -r)/include/linux/compiler.h compiler.h
+ elif [ -f /usr/src/linux-headers-$(uname -r)/include/linux/compiler.h ]; then
+ ln -s /usr/src/linux-headers-$(uname -r)/include/linux/compiler.h compiler.h
+ else
+ log "ERROR - /usr/src/linux/include/linux/compiler.h nicht gefunden"
+ fi
+
+ # install
+ cd $SOURCEDIR/$LINK
+
+ # search for *.diff
+ for i in `ls $DIR/patches | grep ".diff$"`; do
+ log "apply $i"
+ patch -p 1 < $DIR/patches/$i
+ done
+
+ make menuconfig
+ make
+ if [ $? = 0 ] ; then
+ log "SUCCESS - $VERSION erstellt"
+ else
+ log "ERROR - $VERSION konnte nicht erstellt werden"
+ return 1
+ fi
+
+ dialog --title " x-vdr - $VERSION " --yesno "Die DVB-Treiber wurden in $SOURCEDIR/$VERSION erstellt. \nSollen sie jetzt installiert werden?" 19 70
+ [ $? = 0 ] || return 0
+ make install && cp -rf $SOURCEDIR/$VERSION/linux/include/linux/dvb /usr/include/linux && log "SUCCESS - $VERSION installiert"
+}
+
+# uninstall
+function clean_util() {
+ # remove source
+ cd $SOURCEDIR
+ rm -rf $LINK
+ rm -rf $VERSION
+}
+
+# test
+function status_util() {
+ if [ -d "$SOURCEDIR/$VERSION" ]; then
+ [ -d "$SOURCEDIR/$VERSION" ] && echo "2" && return 0
+ echo "1"
+ else
+ echo "0"
+ fi
+}
+
+# start
+
+# plugin commands
+if [ $# \> 0 ]; then
+ cmd=$1
+ cmd_util
+else
+ make_util
+ status_util
+fi
+
+exit 0
diff --git a/utilities/dvb/v4l-dvb/dvb-driver.sh b/utilities/dvb/v4l-dvb/dvb-driver.sh
new file mode 100644
index 0000000..912a288
--- /dev/null
+++ b/utilities/dvb/v4l-dvb/dvb-driver.sh
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# x-vdr (Installations-Skript fuer einen VDR mit Debian als Basis)
+# von Marc Wernecke - www.zulu-entertainment.de
+# 03.05.2008
+
+# v4l-dvb
+
+source ./../../../x-vdr.conf
+source ./../../../setup.conf
+source ./../../../functions
+
+
+VERSION="v4l-dvb"
+WEB="http://linuxtv.org/hg/$VERSION"
+LINK="DVB"
+
+DIR=`pwd`
+
+# install
+function make_util() {
+
+ apt-get update
+ apt_install "mercurial"
+ apt_install "linux-headers-`uname -r`"
+ [ -L /usr/src/linux ] && rm -f /usr/src/linux
+ if [ ! -d /usr/src/linux ]; then
+ cd /usr/src
+ ln -vfs /usr/src/linux-headers-`uname -r` linux
+ fi
+
+ # download und symlink
+ cd $SOURCEDIR
+ hg clone $WEB
+
+ rm -f $LINK
+ ln -vfs $VERSION $LINK
+
+ cd $SOURCEDIR/$LINK/linux/include/linux
+ if [ -f /usr/src/linux/include/linux/compiler.h ]; then
+ ln -s /usr/src/linux/include/linux/compiler.h compiler.h
+ elif [ -f /usr/src/$(uname -r)/include/linux/compiler.h ]; then
+ ln -s /usr/src/$(uname -r)/include/linux/compiler.h compiler.h
+ elif [ -f /usr/src/linux-headers-$(uname -r)/include/linux/compiler.h ]; then
+ ln -s /usr/src/linux-headers-$(uname -r)/include/linux/compiler.h compiler.h
+ else
+ log "ERROR - /usr/src/linux/include/linux/compiler.h nicht gefunden"
+ fi
+
+ # install
+ cd $SOURCEDIR/$LINK
+
+ # search for *.diff
+ for i in `ls $DIR/patches | grep ".diff$"`; do
+ log "apply $i"
+ patch -p 1 < $DIR/patches/$i
+ done
+
+ make menuconfig
+ make
+ if [ $? = 0 ] ; then
+ log "SUCCESS - $VERSION erstellt"
+ else
+ log "ERROR - $VERSION konnte nicht erstellt werden"
+ return 1
+ fi
+
+ dialog --title " x-vdr - $VERSION " --yesno "Die DVB-Treiber wurden in $SOURCEDIR/$VERSION erstellt. \nSollen sie jetzt installiert werden?" 19 70
+ [ $? = 0 ] || return 0
+ make install && cp -rf $SOURCEDIR/$VERSION/linux/include/linux/dvb /usr/include/linux && log "SUCCESS - $VERSION installiert"
+}
+
+# uninstall
+function clean_util() {
+ # remove source
+ cd $SOURCEDIR
+ rm -rf $LINK
+ rm -rf $VERSION
+}
+
+# test
+function status_util() {
+ if [ -d "$SOURCEDIR/$VERSION" ]; then
+ [ -d "$SOURCEDIR/$VERSION" ] && echo "2" && return 0
+ echo "1"
+ else
+ echo "0"
+ fi
+}
+
+# start
+
+# plugin commands
+if [ $# \> 0 ]; then
+ cmd=$1
+ cmd_util
+else
+ make_util
+ status_util
+fi
+
+exit 0
diff --git a/utilities/dvb/v4l-dvb/v4l-dvb-header-fix.diff b/utilities/dvb/v4l-dvb/v4l-dvb-header-fix.diff
new file mode 100644
index 0000000..5086ced
--- /dev/null
+++ b/utilities/dvb/v4l-dvb/v4l-dvb-header-fix.diff
@@ -0,0 +1,155 @@
+diff -ruN linux/include/linux/dvb/audio.h linux/include/linux/dvb/audio.h
+--- linux/include/linux/dvb/audio.h 2009-04-09 13:21:42.000000000 +0200
++++ linux/include/linux/dvb/audio.h 2008-12-31 18:26:57.000000000 +0100
+@@ -24,7 +24,12 @@
+ #ifndef _DVBAUDIO_H_
+ #define _DVBAUDIO_H_
+
++#ifdef __KERNEL__
+ #include <linux/types.h>
++#else
++#include <stdint.h>
++#endif
++
+
+ typedef enum {
+ AUDIO_SOURCE_DEMUX, /* Select the demux as the main source */
+@@ -76,7 +81,7 @@
+ } audio_karaoke_t; /* into left and right */
+
+
+-typedef __u16 audio_attributes_t;
++typedef uint16_t audio_attributes_t;
+ /* bits: descr. */
+ /* 15-13 audio coding mode (0=ac3, 2=mpeg1, 3=mpeg2ext, 4=LPCM, 6=DTS, */
+ /* 12 multichannel extension */
+diff -ruN linux/include/linux/dvb/dmx.h linux/include/linux/dvb/dmx.h
+--- linux/include/linux/dvb/dmx.h 2009-04-09 13:21:42.000000000 +0200
++++ linux/include/linux/dvb/dmx.h 2008-12-31 18:26:57.000000000 +0100
+@@ -24,7 +24,7 @@
+ #ifndef _DVBDMX_H_
+ #define _DVBDMX_H_
+
+-#include <linux/types.h>
++#include <asm/types.h>
+ #ifdef __KERNEL__
+ #include <linux/time.h>
+ #else
+diff -ruN linux/include/linux/dvb/frontend.h linux/include/linux/dvb/frontend.h
+--- linux/include/linux/dvb/frontend.h 2009-04-09 13:21:42.000000000 +0200
++++ linux/include/linux/dvb/frontend.h 2008-12-31 18:26:57.000000000 +0100
+@@ -26,7 +26,8 @@
+ #ifndef _DVBFRONTEND_H_
+ #define _DVBFRONTEND_H_
+
+-#include <linux/types.h>
++#include <asm/types.h>
++
+
+ typedef enum fe_type {
+ FE_QPSK,
+diff -ruN linux/include/linux/dvb/net.h linux/include/linux/dvb/net.h
+--- linux/include/linux/dvb/net.h 2009-04-09 13:21:42.000000000 +0200
++++ linux/include/linux/dvb/net.h 2008-12-31 18:26:57.000000000 +0100
+@@ -24,7 +24,8 @@
+ #ifndef _DVBNET_H_
+ #define _DVBNET_H_
+
+-#include <linux/types.h>
++#include <asm/types.h>
++
+
+ struct dvb_net_if {
+ __u16 pid;
+diff -ruN linux/include/linux/dvb/video.h linux/include/linux/dvb/video.h
+--- linux/include/linux/dvb/video.h 2009-04-09 13:21:42.000000000 +0200
++++ linux/include/linux/dvb/video.h 2008-12-31 18:26:57.000000000 +0100
+@@ -24,14 +24,17 @@
+ #ifndef _DVBVIDEO_H_
+ #define _DVBVIDEO_H_
+
+-#include <linux/types.h>
+-#ifdef __KERNEL__
+ #include <linux/compiler.h>
++
++#ifdef __KERNEL__
++#include <linux/types.h>
+ #else
++#include <asm/types.h>
+ #include <stdint.h>
+ #include <time.h>
+ #endif
+
++
+ typedef enum {
+ VIDEO_FORMAT_4_3, /* Select 4:3 format */
+ VIDEO_FORMAT_16_9, /* Select 16:9 format. */
+@@ -132,12 +135,12 @@
+ #define VIDEO_VSYNC_FIELD_PROGRESSIVE (3)
+
+ struct video_event {
+- __s32 type;
++ int32_t type;
+ #define VIDEO_EVENT_SIZE_CHANGED 1
+ #define VIDEO_EVENT_FRAME_RATE_CHANGED 2
+ #define VIDEO_EVENT_DECODER_STOPPED 3
+ #define VIDEO_EVENT_VSYNC 4
+- __kernel_time_t timestamp;
++ time_t timestamp;
+ union {
+ video_size_t size;
+ unsigned int frame_rate; /* in frames per 1000sec */
+@@ -157,25 +160,25 @@
+
+ struct video_still_picture {
+ char __user *iFrame; /* pointer to a single iframe in memory */
+- __s32 size;
++ int32_t size;
+ };
+
+
+ typedef
+ struct video_highlight {
+ int active; /* 1=show highlight, 0=hide highlight */
+- __u8 contrast1; /* 7- 4 Pattern pixel contrast */
++ uint8_t contrast1; /* 7- 4 Pattern pixel contrast */
+ /* 3- 0 Background pixel contrast */
+- __u8 contrast2; /* 7- 4 Emphasis pixel-2 contrast */
++ uint8_t contrast2; /* 7- 4 Emphasis pixel-2 contrast */
+ /* 3- 0 Emphasis pixel-1 contrast */
+- __u8 color1; /* 7- 4 Pattern pixel color */
++ uint8_t color1; /* 7- 4 Pattern pixel color */
+ /* 3- 0 Background pixel color */
+- __u8 color2; /* 7- 4 Emphasis pixel-2 color */
++ uint8_t color2; /* 7- 4 Emphasis pixel-2 color */
+ /* 3- 0 Emphasis pixel-1 color */
+- __u32 ypos; /* 23-22 auto action mode */
++ uint32_t ypos; /* 23-22 auto action mode */
+ /* 21-12 start y */
+ /* 9- 0 end y */
+- __u32 xpos; /* 23-22 button color number */
++ uint32_t xpos; /* 23-22 button color number */
+ /* 21-12 start x */
+ /* 9- 0 end x */
+ } video_highlight_t;
+@@ -189,17 +192,17 @@
+
+ typedef struct video_spu_palette { /* SPU Palette information */
+ int length;
+- __u8 __user *palette;
++ uint8_t __user *palette;
+ } video_spu_palette_t;
+
+
+ typedef struct video_navi_pack {
+ int length; /* 0 ... 1024 */
+- __u8 data[1024];
++ uint8_t data[1024];
+ } video_navi_pack_t;
+
+
+-typedef __u16 video_attributes_t;
++typedef uint16_t video_attributes_t;
+ /* bits: descr. */
+ /* 15-14 Video compression mode (0=MPEG-1, 1=MPEG-2) */
+ /* 13-12 TV system (0=525/60, 1=625/50) */
diff --git a/utilities/dvb/v4l-dvb/v4l-dvb_include-fix.diff b/utilities/dvb/v4l-dvb/v4l-dvb_include-fix.diff
new file mode 100644
index 0000000..34bd420
--- /dev/null
+++ b/utilities/dvb/v4l-dvb/v4l-dvb_include-fix.diff
@@ -0,0 +1,10 @@
+--- ./linux/include/linux/dvb/video.h.orig 2009-03-03 09:54:58.000000000 +0100
++++ ./linux/include/linux/dvb/video.h 2009-03-03 09:45:30.000000000 +0100
+@@ -28,6 +28,7 @@
+ #ifdef __KERNEL__
+ #include <linux/compiler.h>
+ #else
++#include <linux/compiler.h>
+ #include <stdint.h>
+ #include <time.h>
+ #endif